Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 596060 - Unable to estabplish connection to my home vpn server
Unable to estabplish connection to my home vpn server
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager-openvpn (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-26 05:03 EDT by Alexey Kuznetsov
Modified: 2011-06-27 12:41 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 12:41:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
tax.ath.cx (openvpn).conf (187 bytes, text/plain)
2010-06-03 08:27 EDT, Alexey Kuznetsov
no flags Details
strace for nm-...-helper (17.04 KB, text/plain)
2010-07-05 10:55 EDT, Alexey Kuznetsov
no flags Details
messages (3.08 KB, text/plain)
2010-07-05 10:56 EDT, Alexey Kuznetsov
no flags Details
console set up (openvpn) (1.40 KB, text/plain)
2010-07-05 11:00 EDT, Alexey Kuznetsov
no flags Details
strafe form nm-...-helper (16.77 KB, text/plain)
2010-07-07 08:04 EDT, Alexey Kuznetsov
no flags Details

  None (edit)
Description Alexey Kuznetsov 2010-05-26 05:03:19 EDT
I tried to connect to my home vpn server and got failed.

Configuration is correct, i tested it under windows. Linux client f12 was fine until some recent update.

I expect that problem happens because my vpn server provide direct lan access with ip address acquired by dhcp.


May 26 12:50:59 localhost NetworkManager: <info> VPN plugin state changed: 6
May 26 12:50:59 localhost NetworkManager: <info> VPN plugin state change reason: 0
May 26 12:50:59 localhost NetworkManager: <info> Policy set 'Auto asus_r22' (wlan0) as default for routing and DNS.
May 26 12:52:18 localhost NetworkManager: <info> Starting VPN service 'org.freedesktop.NetworkManager.openvpn'...
May 26 12:52:18 localhost NetworkManager: <info> VPN service 'org.freedesktop.NetworkManager.openvpn' started (org.freedesktop.NetworkManager.openvpn), PID 3893
May 26 12:52:19 localhost NetworkManager: <info> VPN service 'org.freedesktop.NetworkManager.openvpn' appeared, activating connections
May 26 12:52:19 localhost NetworkManager: <info> VPN plugin state changed: 3
May 26 12:52:19 localhost NetworkManager: <info> VPN connection 'tax.ath.cx' (Connect) reply received.
May 26 12:52:19 localhost nm-openvpn[3897]: OpenVPN 2.1.1 x86_64-redhat-linux-gnu [SSL] [LZO2] [EPOLL] [PKCS11] built on Jan  5 2010
May 26 12:52:19 localhost nm-openvpn[3897]: WARNING: No server certificate verification method has been enabled.  See http://openvpn.net/howto.html#mitm for more info.
May 26 12:52:19 localhost nm-openvpn[3897]: NOTE: the current --script-security setting may allow this configuration to call user-defined scripts
May 26 12:52:19 localhost nm-openvpn[3897]: Attempting to establish TCP connection with 95.72.41.219:1194 [nonblock]
May 26 12:52:20 localhost nm-openvpn[3897]: TCP connection established with 95.72.41.219:1194
May 26 12:52:20 localhost nm-openvpn[3897]: TCPv4_CLIENT link local: [undef]
May 26 12:52:20 localhost nm-openvpn[3897]: TCPv4_CLIENT link remote: 95.72.41.219:1194
May 26 12:52:21 localhost nm-openvpn[3897]: WARNING: 'link-mtu' is used inconsistently, local='link-mtu 1575', remote='link-mtu 1576'
May 26 12:52:21 localhost nm-openvpn[3897]: WARNING: 'comp-lzo' is present in remote config but missing in local config, remote='comp-lzo'
May 26 12:52:21 localhost nm-openvpn[3897]: [mini] Peer Connection Initiated with 95.72.41.219:1194
May 26 12:52:23 localhost nm-openvpn[3897]: TUN/TAP device tap0 opened
May 26 12:52:23 localhost nm-openvpn[3897]: /usr/libexec/nm-openvpn-service-openvpn-helper tap0 1500 1575   init
May 26 12:52:23 localhost nm-openvpn[3897]: script failed: external program exited with error status: 1
May 26 12:52:23 localhost nm-openvpn[3897]: Exiting
Comment 1 Alexey Kuznetsov 2010-06-03 08:27:00 EDT
Created attachment 419350 [details]
tax.ath.cx (openvpn).conf
Comment 2 Alexey Kuznetsov 2010-06-03 08:27:37 EDT
same for f13
Comment 3 Alexey Kuznetsov 2010-06-09 13:23:46 EDT
something wrong within /usr/libexec/nm-openvpn-service-openvpn-helper.

can anyone confirm?
Comment 4 Alexey Kuznetsov 2010-07-05 10:55:14 EDT
Created attachment 429552 [details]
strace for nm-...-helper
Comment 5 Alexey Kuznetsov 2010-07-05 10:56:20 EDT
Created attachment 429553 [details]
messages
Comment 6 Alexey Kuznetsov 2010-07-05 11:00:31 EDT
Created attachment 429554 [details]
console set up (openvpn)
Comment 7 Alexey Kuznetsov 2010-07-07 08:04:17 EDT
Created attachment 430045 [details]
strafe form nm-...-helper
Comment 8 Bug Zapper 2011-06-02 09:27:01 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2011-06-27 12:41:36 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.